Security Lab

PHP-инклюдинг в системе управления содержанием Leicestershire Community Portals

Дата публикации:13.10.2006
Дата изменения:17.10.2006
Всего просмотров:2010
Опасность:
Высокая
Наличие исправления: Нет
Количество уязвимостей:1
CVE ID: CVE-2006-5280
CVE-2006-5739
Вектор эксплуатации: Удаленная
Воздействие: Компрометация системы
CWE ID: Нет данных
Наличие эксплоита: Нет данных
Уязвимые продукты: Leicestershire Community Portals 1.x
Уязвимые версии: Leicestershire Community Portals 1.0 build 20051018, возможно другие версии.

Описание:
Уязвимость позволяет удаленному пользователю выполнить произвольный PHP сценарий на целевой системе.

Уязвимость существует из-за недостаточной обработки входных данных в параметре "cp_root_path" в сценарии includes/import-archive.php. Удаленный пользователь может выполнить произвольный PHP сценарий на целевой системе с привилегиями Web сервера. Для удачной эксплуатации уязвимости опция "register_globals" должна быть включена в конфигурационном файле PHP и отключена поддержка .htaccess файлов.

URL производителя: www.leicestershirecommunity.com

Решение: Способов устранения уязвимости не существует в настоящее время.